# Miscellaneous

## 🚗 cfg.allowVehicle

Allow the script to detect researched players that are in a vehicle.&#x20;

<pre class="language-lua"><code class="lang-lua"><strong>cfg.allowVehicle = true
</strong></code></pre>

***

## 🚦 cfg.maxSpeedVehicle

Set the speed (in m/s) where the camera can't recognize the wanted player anymore.\
(84 m/s is roughly equal to 300kph)

<pre class="language-lua"><code class="lang-lua"><strong>cfg.maxSpeedVehicle = 84
</strong></code></pre>

***

## 🛣️ cfg.camLocations

This table will contain all the configs you need to have your cameras ready to scan people faces !

A  camera config will look like this :&#x20;

```lua
cfg.camLocations = {
    {
        model = 'prop_cctv_cam_05a', 
        pos = vector3(-1453.1483154296875,-769.0479736328125,16.0924072265625), 
        rot = vector3(0,0,-82.65670013427734), 
        isGivingClue = true, 
        recognitionRange = 80.0,
    },
    [...]
}
```

***Let's dive into this :***&#x20;

1. `model = 'prop_cctv_cam_05a'` is the camera model you want to use for the script to spawn.
2. `pos = vector3(-1453.14, -769.04, 16.09)` is the position vector of the camera&#x20;
3. `rot = vector3(0,0,-82.65670013427734)` is the rotation vector of the camera

***As a reminder : x = left/right | y = front/back | z = up/down***&#x20;

{% hint style="info" %}
To place your objects more simply, use the built-in command `'/camPreview'` which will create a config for you in your clipboard from your placement in the game.&#x20;
{% endhint %}

{% embed url="<https://streamable.com/3fc2pc>" %}

4. `isGivingClue = true`,  if this config is  set to false, the camera will recognize the player but won't let it know it. Otherwise, the player will be able to know that he had been recognised
5. `recognitionRange = 80.0`, this is the distance in meters the camera can detect you

***

## ⏲️ cfg.utc

Sets the UTC offset for your server, this will modify the time on the cameras screenshots.\
1 = UTC+1,  2 = UTC+2 ...

<pre class="language-lua"><code class="lang-lua"><strong>cfg.utc = 1
</strong></code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pingouin.dev/scripts-docs/facial-recognition/general-config/miscellaneous.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
